BouncingBall ball1;
BouncingBall ball2;


ArrayList balls = new ArrayList();
 
PVector      p1 = new PVector();
PVector      p2 = new PVector();
boolean      drag = false;
 
void setup()
{
  size(800,600);
  // svg bild soll zentriert sein
  shapeMode(CENTER);
  smooth();
}
 
void draw()
{
  // hintergrund loeschen
  //background(#BAF0BE);
  // ghosting
  strokeWeight(0.1);
  fill(255,60);
  rect(0,0,width,height);
  if(drag)
  { // zeichne die abschussrichtung
    //p1.set(ball1._pos.x,ball1._pos.y,0);
    line(p1.x,p1.y,p2.x,p2.y);
  }
  
  for (int i = 0; i < balls.size(); i++) {
    BouncingBall ball = (BouncingBall) balls.get(i);
    ball.draw();
  }
}
 
void mousePressed()
{
  drag = true;
  p1.set(mouseX,mouseY,0);
  p2.set(mouseX,mouseY,0);
}
 
void mouseDragged()
{
  p2.set(mouseX,mouseY,0);
}
 
void mouseReleased()
{
  drag = false;
 
  // abschuss staerke berechnen
  PVector dir = PVector.sub(p2,p1);
  // laenge verkuerzen
  dir.mult(.09);
  
  int randSize = int(random(100,200));
  
  BouncingBall temp = new BouncingBall(randSize,randSize);
  temp.set(p1,dir,.993);
  balls.add(temp); 
  
  // der ball wird neu ausgerichtet
  //ball1.set(p1,dir,.993);
  //ball2.set(p1,dir,.95);
}
